--AH:ScriptId=f40cdc88-ba03-436b-ae2d-9f04e483f005;2962
ALTER TABLE [Feeds]
	DROP CONSTRAINT [CK__Feeds__FeedType_Code]

ALTER TABLE [Feeds]
	ADD [FeedType_Name] VARCHAR(20)

GO

UPDATE [Feeds]
   SET [FeedType_Name] = CASE WHEN [FeedType_Code] = 'N' THEN 'NuGet'
                              WHEN [FeedType_Code] = 'C' THEN 'Chocolatey'
							  WHEN [FeedType_Code] = 'D' THEN 'Deployment'
							  WHEN [FeedType_Code] = 'P' THEN 'npm'
							  WHEN [FeedType_Code] = 'B' THEN 'Bower'
							  WHEN [FeedType_Code] = 'M' THEN 'Maven'
							  ELSE 'NuGet'
						 END

GO

ALTER TABLE [Feeds]
	ALTER COLUMN [FeedType_Name] VARCHAR(20) NOT NULL

ALTER TABLE [Feeds]
	DROP COLUMN [FeedType_Code]

ALTER TABLE [Feeds]
	ADD CONSTRAINT [CK__Feeds__FeedType_Name]
		CHECK ([FeedType_Name] IN ('NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet'))
