EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Licenses_GetLicenses',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Licenses,LicenseUrls',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the licenses known by ProGet.'
GO

IF OBJECT_ID('[Licenses_GetLicenses]') IS NOT NULL DROP PROCEDURE [Licenses_GetLicenses]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Licenses_GetLicenses]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [Licenses]
	 ORDER BY [External_Id]

	SELECT *
	  FROM [LicenseUrls]

END
GO

GRANT EXECUTE ON [Licenses_GetLicenses] TO [ProGetUser_Role]